Rubygems-sandbox 1.1.1 Released

rubygems-sandbox version 1.1.1 has been released!

The sandbox plugin for rubygems helps you manage your command-line
tools and their dependencies. Sandboxed gems are installed in their
own private rubygem repositories with all of their dependencies. This
means that you don’t have to have a rat’s nest of gems in your global
repository in order to run popular command-tools like rdoc, flog,
flay, rcov, etc.

gem sandbox has the following sub-commands:

  • install gem_name … - install 1 or more gems
  • plugin gem_name plugin_name … - install a gem and plugins for it
  • remove gem_name … - uninstall 1 or more gems
  • help - show this output

Once you install gem sandbox will output something like:

Copy the following scripts to any directory in your path to use 

them:

cp /Users/USER/.gem/sandboxes/GEM/bin/TOOL _in_your_$PATH_

Copy the scripts to a directory in your path (eg ~/bin or /usr/bin)
and you’re good to go.

Changes:

1.1.1 / 2011-12-15

  • 1 bug fix:

    • Added a missing require.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs